Class | Sequel::MigrationAlterTableReverser
In: | lib/sequel/extensions/migration.rb
Parent: | Sequel::BasicObject

Handles reversing an alter_table block in a reversible migration.

### Methods

new reverse

### Public Class methods

new()

[Source]

         # File lib/sequel/extensions/migration.rb, line 219
    219:     def initialize
    220:       @actions = []
    221:     end

### Public Instance methods

reverse(&block)

[Source]

         # File lib/sequel/extensions/migration.rb, line 223
    223:     def reverse(&block)
    224:       instance_eval(&block)
    225:       actions = @actions.reverse
    226:       Proc.new{actions.each{|a| send(*a)}}
    227:     end

[Validate]